/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.reseller.model;

import com.google.api.client.json.GenericJson;

/**
 * JSON template for address of a customer.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Enterprise Apps Reseller API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Address extends GenericJson {

  /**
   * Address line 1 of the address.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String addressLine1;

  /**
   * Address line 2 of the address.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String addressLine2;

  /**
   * Address line 3 of the address.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String addressLine3;

  /**
   * Name of the contact person.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String contactName;

  /**
   * ISO 3166 country code.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String countryCode;

  /**
   * Identifies the resource as a customer address.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Name of the locality. This is in accordance with - http://portablecontacts.net/draft-
   * spec.html#address_element.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String locality;

  /**
   * Name of the organization.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String organizationName;

  /**
   * The postal code. This is in accordance with - http://portablecontacts.net/draft-
   * spec.html#address_element.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String postalCode;

  /**
   * Name of the region. This is in accordance with - http://portablecontacts.net/draft-
   * spec.html#address_element.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String region;

  /**
   * Address line 1 of the address.
   * The value returned may be {@code null}.
   */
  public String getAddressLine1() {
    return addressLine1;
  }

  /**
   * Address line 1 of the address.
   * The value set may be {@code null}.
   */
  public Address setAddressLine1(String addressLine1) {
    this.addressLine1 = addressLine1;
    return this;
  }

  /**
   * Address line 2 of the address.
   * The value returned may be {@code null}.
   */
  public String getAddressLine2() {
    return addressLine2;
  }

  /**
   * Address line 2 of the address.
   * The value set may be {@code null}.
   */
  public Address setAddressLine2(String addressLine2) {
    this.addressLine2 = addressLine2;
    return this;
  }

  /**
   * Address line 3 of the address.
   * The value returned may be {@code null}.
   */
  public String getAddressLine3() {
    return addressLine3;
  }

  /**
   * Address line 3 of the address.
   * The value set may be {@code null}.
   */
  public Address setAddressLine3(String addressLine3) {
    this.addressLine3 = addressLine3;
    return this;
  }

  /**
   * Name of the contact person.
   * The value returned may be {@code null}.
   */
  public String getContactName() {
    return contactName;
  }

  /**
   * Name of the contact person.
   * The value set may be {@code null}.
   */
  public Address setContactName(String contactName) {
    this.contactName = contactName;
    return this;
  }

  /**
   * ISO 3166 country code.
   * The value returned may be {@code null}.
   */
  public String getCountryCode() {
    return countryCode;
  }

  /**
   * ISO 3166 country code.
   * The value set may be {@code null}.
   */
  public Address setCountryCode(String countryCode) {
    this.countryCode = countryCode;
    return this;
  }

  /**
   * Identifies the resource as a customer address.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Identifies the resource as a customer address.
   * The value set may be {@code null}.
   */
  public Address setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Name of the locality. This is in accordance with - http://portablecontacts.net/draft-
   * spec.html#address_element.
   * The value returned may be {@code null}.
   */
  public String getLocality() {
    return locality;
  }

  /**
   * Name of the locality. This is in accordance with - http://portablecontacts.net/draft-
   * spec.html#address_element.
   * The value set may be {@code null}.
   */
  public Address setLocality(String locality) {
    this.locality = locality;
    return this;
  }

  /**
   * Name of the organization.
   * The value returned may be {@code null}.
   */
  public String getOrganizationName() {
    return organizationName;
  }

  /**
   * Name of the organization.
   * The value set may be {@code null}.
   */
  public Address setOrganizationName(String organizationName) {
    this.organizationName = organizationName;
    return this;
  }

  /**
   * The postal code. This is in accordance with - http://portablecontacts.net/draft-
   * spec.html#address_element.
   * The value returned may be {@code null}.
   */
  public String getPostalCode() {
    return postalCode;
  }

  /**
   * The postal code. This is in accordance with - http://portablecontacts.net/draft-
   * spec.html#address_element.
   * The value set may be {@code null}.
   */
  public Address setPostalCode(String postalCode) {
    this.postalCode = postalCode;
    return this;
  }

  /**
   * Name of the region. This is in accordance with - http://portablecontacts.net/draft-
   * spec.html#address_element.
   * The value returned may be {@code null}.
   */
  public String getRegion() {
    return region;
  }

  /**
   * Name of the region. This is in accordance with - http://portablecontacts.net/draft-
   * spec.html#address_element.
   * The value set may be {@code null}.
   */
  public Address setRegion(String region) {
    this.region = region;
    return this;
  }

}
