/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.reseller.model;

import com.google.api.client.json.GenericJson;

/**
 * JSON template for the ChangePlan rpc request.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Enterprise Apps Reseller API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class ChangePlanRequest extends GenericJson {

  /**
   * Identifies the resource as a subscription change plan request.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Name of the plan to change to.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String planName;

  /**
   * Purchase order id for your order tracking purposes.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String purchaseOrderId;

  /**
   * Number/Limit of seats in the new plan.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Seats seats;

  /**
   * Identifies the resource as a subscription change plan request.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Identifies the resource as a subscription change plan request.
   * The value set may be {@code null}.
   */
  public ChangePlanRequest setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Name of the plan to change to.
   * The value returned may be {@code null}.
   */
  public String getPlanName() {
    return planName;
  }

  /**
   * Name of the plan to change to.
   * The value set may be {@code null}.
   */
  public ChangePlanRequest setPlanName(String planName) {
    this.planName = planName;
    return this;
  }

  /**
   * Purchase order id for your order tracking purposes.
   * The value returned may be {@code null}.
   */
  public String getPurchaseOrderId() {
    return purchaseOrderId;
  }

  /**
   * Purchase order id for your order tracking purposes.
   * The value set may be {@code null}.
   */
  public ChangePlanRequest setPurchaseOrderId(String purchaseOrderId) {
    this.purchaseOrderId = purchaseOrderId;
    return this;
  }

  /**
   * Number/Limit of seats in the new plan.
   * The value returned may be {@code null}.
   */
  public Seats getSeats() {
    return seats;
  }

  /**
   * Number/Limit of seats in the new plan.
   * The value set may be {@code null}.
   */
  public ChangePlanRequest setSeats(Seats seats) {
    this.seats = seats;
    return this;
  }

}
